/* PROTOTYPES */

/* comp_graph.c */
int TRAITEMENT_vASC    (OpNodeType * Node);
int TRAITEMENT_vCHAR   (OpNodeType * Node);
int TRAITEMENT_vCIRCLE (OpNodeType * Node);
int TRAITEMENT_vCLS    (OpNodeType * Node);
int TRAITEMENT_vCURMOV (OpNodeType * Node);
int TRAITEMENT_vCURSET (OpNodeType * Node);
int TRAITEMENT_vDRAW   (OpNodeType * Node);
int TRAITEMENT_vFILL   (OpNodeType * Node);
int TRAITEMENT_vHIRES  (nodeType * Node);
int TRAITEMENT_vINK    (OpNodeType * Node);
int TRAITEMENT_vLORES  (nodeType * Node);
int TRAITEMENT_vLPRINT (OpNodeType * Node);
int TRAITEMENT_vPAPER  (OpNodeType * Node);
int TRAITEMENT_vPATTERN(OpNodeType * Node);
int TRAITEMENT_vPLOT   (OpNodeType * Node);
int TRAITEMENT_vPOINT  (OpNodeType * Node);
int TRAITEMENT_vPRINT  (OpNodeType * Node);
int TRAITEMENT_vSCRN   (OpNodeType * Node);
int TRAITEMENT_vSPC    (OpNodeType * Node);
int TRAITEMENT_vTEXT   (nodeType * Node);
int TRAITEMENT_vPOS    (OpNodeType * Node);
int TRAITEMENT_vTAB    (OpNodeType * Node);

/* comp_input.c */
int TRAITEMENT_vINPUT  (nodeType* Node);
int TRAITEMENT_vGET    (nodeType* Node);
int TRAITEMENT_vKEY    (nodeType* Node);
int TRAITEMENT_vREAD   (nodeType* Node);
int TRAITEMENT_vRESTORE(nodeType* Node);

/* comp_k7.c */
int TRAITEMENT_vCLOAD(OpNodeType * Node);
int TRAITEMENT_vCSAVE(OpNodeType * Node);
int TRAITEMENT_vSTORE(OpNodeType * Node);
int TRAITEMENT_vRECALL(OpNodeType * Node);

/* comp_loop.c */
int TRAITEMENT_vFOR   (OpNodeType * Node);
int TRAITEMENT_vREPEAT(OpNodeType * Node);
int TRAITEMENT_vUNTIL (OpNodeType * Node);
int TRAITEMENT_vPOP   (OpNodeType * Node);
int TRAITEMENT_vPULL  (OpNodeType * Node);
int TRAITEMENT_vON    (OpNodeType * Node);
int TRAITEMENT_vGOTO  (nodeType * Node);
int TRAITEMENT_vGOSUB (nodeType * Node);
int TRAITEMENT_vRETURN(OpNodeType * Node);
int TRAITEMENT_vIF    (nodeType * Node);
int TRAITEMENT_vCALL  (OpNodeType * Node);

/* comp_math.h */
int TRAITEMENT_vAMPERSAND(nodeType * Node);
int TRAITEMENT_vSHRIEK   (nodeType * Node);
int TRAITEMENT_vATN      (nodeType * Node);
int TRAITEMENT_vCOS      (nodeType * Node);
int TRAITEMENT_vSIN      (nodeType * Node);
int TRAITEMENT_vTAN      (nodeType * Node);
int TRAITEMENT_vEXP      (nodeType * Node);
int TRAITEMENT_vLET      (nodeType * Node);
int TRAITEMENT_vLN       (nodeType * Node);
int TRAITEMENT_vLOG      (nodeType * Node);
int TRAITEMENT_vPI       (nodeType * Node);
int TRAITEMENT_vABS      (nodeType * Node);
int TRAITEMENT_vSGN      (nodeType * Node);
int TRAITEMENT_vRND      (nodeType * Node);
int TRAITEMENT_vSQR      (nodeType * Node);
int TRAITEMENT_vTRUE     (nodeType * Node);
int TRAITEMENT_vFALSE    (nodeType * Node);
int TRAITEMENT_vAND      (nodeType * Node);
int TRAITEMENT_vOR       (nodeType * Node);
int TRAITEMENT_vNOT      (nodeType * Node);
int TRAITEMENT_vINT      (nodeType * Node);
int TRAITEMENT_vDEF      (nodeType * Node);
int TRAITEMENT_vUSR      (nodeType * Node);
int TRAITEMENT_vEQ       (nodeType * Node);
int TRAITEMENT_vPLUS     (nodeType * Node);

/* comp_xxxx.h */
int TRAITEMENT_vDATA(OpNodeType * Node);
int TRAITEMENT_vDIM    (OpNodeType * Node);
int TRAITEMENT_vEND    (OpNodeType * Node);
int TRAITEMENT_vFRE    (OpNodeType * Node);
int TRAITEMENT_vGRAB   (OpNodeType * Node);
int TRAITEMENT_vHIMEM  (OpNodeType * Node);
int TRAITEMENT_vRELEASE(OpNodeType * Node);
int TRAITEMENT_vPEEK   (OpNodeType * Node);
int TRAITEMENT_vDEEK   (OpNodeType * Node);
int TRAITEMENT_vPOKE   (OpNodeType * Node);
int TRAITEMENT_vDOKE   (OpNodeType * Node);
int TRAITEMENT_vWAIT   (OpNodeType * Node);

/* comp_sound.c */
int TRAITEMENT_vMUSIC  (OpNodeType * Node);
int TRAITEMENT_vPLAY   (OpNodeType * Node);
int TRAITEMENT_vSOUND  (OpNodeType * Node);
int TRAITEMENT_vEXPLODE(nodeType * Node);
int TRAITEMENT_vPING   (nodeType * Node);
int TRAITEMENT_vSHOOT  (nodeType * Node);
int TRAITEMENT_vZAP    (nodeType * Node);

/* comp_string.h */

int TRAITEMENT_vASC    (OpNodeType * Node);
int TRAITEMENT_vCHR    (nodeType * Node);
int TRAITEMENT_vHEX    (nodeType * Node);
int TRAITEMENT_vLEFT   (nodeType * Node);
int TRAITEMENT_vLEN    (nodeType * Node);
int TRAITEMENT_vMID    (nodeType * Node);
int TRAITEMENT_vRIGHT  (nodeType * Node);
int TRAITEMENT_vSTR    (nodeType * Node);
int TRAITEMENT_vVAL    (nodeType * Node);
int TRAITEMENT_vNULL   (OpNodeType * Node);

