#include <string.h>
#include "parse.h"
#include "conv.h"

char * Int2StrHexa(int iNb)
{
  char * sTmp;
  
  sTmp = (char *) malloc((6+1) * sizeof(char));  
  if (iNb > 65535) { printf("conv.c: Int2StrHexa : number too large\n"); exit(1); }  
  sprintf(sTmp, "$%X", iNb);  
  return sTmp;
}

char * Const2StrHexa(int iNb)
{
  char * sTmp;
  
  sTmp = (char *) malloc((7+1) * sizeof(char));  
  if (iNb > 65535) { printf("conv.c: Const2StrHexa : number too large\n"); exit(1); }  
  sprintf(sTmp, "#$%X", iNb);  
  return sTmp;
}


char * AdrVarInt2StrHexa(char * sName, int iOff)
{
 char * sTmp;
 int iPos, iAdr;
    
  sTmp = (char *) malloc((7 + 1) * sizeof(char));  
  iPos = posVariable(sName, pListeVarInt);  
  iAdr = /* cAdrInt */ 0x600 + (iPos * cNbByteVarInt) + iOff;    
  if (iAdr > 65535) { printf("conv.c: AdrVarInt2StrHexa : number too large\n"); exit(1); }  
  sprintf(sTmp, "#$%X", iAdr);  
  return sTmp;
}


char * AdrVarFlt2StrHexa(char * sName, int iOff)
{
 char * sTmp;
 int iPos, iAdr;
    
  sTmp = (char *) malloc((7 + 1) * sizeof(char));  
  iPos = posVariable(sName, pListeVarFlt);  
  iAdr = /* cAdrFlt */ 0x700 + (iPos * cNbByteVarFlt) + iOff;    
  if (iAdr > 65535) { printf("conv.c: AdrVarFlt2StrHexa : number too large\n"); exit(1); }  
  sprintf(sTmp, "#$%X", iAdr);  
  return sTmp;
}


char * AdrVarStr2StrHexa(char * sName, int iOff)
{
 char * sTmp;
 int iPos, iAdr;
    
  sTmp = (char *) malloc((7 + 1) * sizeof(char));  
  iPos = posVariable(sName, pListeVarStr);  
  iAdr = /* cAdrStr */ 0x800 + (iPos * cNbByteVarStr) + iOff;    
  if (iAdr > 65535) { printf("conv.c: AdrVarStr2StrHexa : number too large\n"); exit(1); }  
  sprintf(sTmp, "#$%X", iAdr);  
  return sTmp;
}


char * GetLenVarStr2StrHexa(char * sName)
{
 char * sTmp;
 int iPos, iAdr;  
 
  sTmp = (char *) malloc((7 + 1) * sizeof(char));  
  iPos = posVariable(sName, pListeVarStr);  
  iAdr = /* cAdrStr */ 0x800 + (iPos * cNbByteVarStr) + 2;    
  if (iAdr > 65535) { printf("conv.c: AdrVarStr2StrHexa : number too large\n"); exit(1); }  
  sprintf(sTmp, "#$%X", iAdr);  
  return sTmp;
}

char * Adr2StrHexa(int iNb)
{
  char * sTmp;
  
  sTmp = (char *) malloc((7 + 1) * sizeof(char));         
  if (iNb > 65535) { printf("conv.c: AdrVarStr2StrHexa : number too large\n"); exit(1); }  
  sprintf(sTmp, "#$%X", iNb);  
  return sTmp;
}
