#include <stdio.h>

/* CONVERSION INT <-> FLOAT    */
/* CONVERSION STRING <-> INT   */
/* CONVERSION STRING <-> FLOAT */
#define cOK ((int) 1)
#define cOutOfRange ((int) 0)

/* isRangeInt */
int isRangeInt(int iNb)
{
  if ((iNb > 0) && (iNb < 65535)) return cOK; else return cOutOfRange;
}


/* Int2Flt */

char * Int2Flt(int iNb)
{
 char * sTmp = NULL; 
 int i;

 sTmp = (char *) malloc(6 * sizeof(char));
 
 if (iNb == 0)
    strcat(sTmp, "00000");
 else {
    if (isRangeInt(iNb)) {
       sTmp[0] = (char) 0x90;
       sTmp[1] = (char) (iNb & 0xFF);
       sTmp[2] = (char) ((iNb & 0xFF00) >> 8);
       sTmp[3] = 0x00;
       sTmp[4] = 0x00;
       sTmp[5] = 0x00;       /* Le caractere NULL de fin de chaine */
    }
 }

 return sTmp;
}

void main()
{
  char * sValue = NULL;
  int i;

  sValue = Int2Flt(2480);

  for (i=0; i < 5; i++) printf(" %x", sValue[i] & 0x000000FF); printf("\n");
}

