#include "parse.h"
#include "comp.h"
#include "y.tab.h"
#include "ex1.h"
#include "conv.h"

extern struct keyword token[MAX_TOKEN];

int TRAITEMENT_vINPUT(nodeType* Node)
{
 printf("\tjsr %s\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;
}

int TRAITEMENT_vGET(nodeType* Node)
{
 /* printf("\tjsr %s\n", Int2StrHexa(token[Node->op.oper].adr)); */
 
 printf("LOOP_%d\n");
 printf("\tjsr %s\t\t; Get a char\n", Int2StrHexa(0xEB78));
 printf("\tbpl LOOP_%d\n");
 switch (Node->op.args[0]->type)
 {
  case tfVar :
                printf("\tsta %s\n", AdrVarFlt2StrHexa( Node->op.args[0]->var.sValue, 0));
                printf("\tlda %s\n", Const2StrHexa(0));
                printf("\tsta %s\n", AdrVarFlt2StrHexa( Node->op.args[0]->var.sValue, 1));
                break;
  case tiVar :
                printf("\tsta %s\n", AdrVarInt2StrHexa( Node->op.args[0]->var.sValue, 0));
                printf("\tlda %s\n", Const2StrHexa(0));
                printf("\tsta %s\n", AdrVarInt2StrHexa( Node->op.args[0]->var.sValue, 1));
                break;

  case tsVar :
                printf("\tsta %s\n", AdrVarStr2StrHexa( Node->op.args[0]->var.sValue, 0));
                printf("\tlda %s\n", Const2StrHexa(0));
                printf("\tsta %s\n", AdrVarStr2StrHexa( Node->op.args[0]->var.sValue, 1));
                break;
  default    :  
                printf("comp_input.c: TRAITEMENT_vGET : Bad type of Variable\n"); 
                exit(1);
                break;
  }  
                 
 return ;
}

int TRAITEMENT_vKEY(nodeType* Node)
{
 /* printf("\tjsr %s\n", Int2StrHexa(token[Node->op.oper].adr)); */
 
 printf("\tjsr %s\t\t; Get a char\n", Int2StrHexa(0xEB78));
 printf("\tsta %s\n"                , AdrVarStr2StrHexa( Node->op.args[0]->var.sValue, 0));
 printf("\tlda %s\n"                , Const2StrHexa(0));
 printf("\tsta %s\n"                , AdrVarStr2StrHexa( Node->op.args[0]->var.sValue, 1)); 
 
 return ;
}

int TRAITEMENT_vREAD(nodeType* Node)
{
 printf("\tjsr %s\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;
}

int TRAITEMENT_vRESTORE(nodeType* Node)
{
 printf("\tjsr %s\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;
}
