#include "parse.h"
#include "comp.h"
#include "y.tab.h"
#include "ex1.h"
#include "conv.h"
#include "eval.h"

extern struct keyword token[MAX_TOKEN];

int TRAITEMENT_vAMPERSAND(nodeType * Node)
{
 return ;
}

int TRAITEMENT_vSHRIEK(nodeType * Node)
{
 return ;
}

int TRAITEMENT_vATN(nodeType * Node)
{
  /* Evaluation de l'argument de ATN */
 eval(Node->op.args[0], cACC1);

 /* Appel de la fonction ATN */
 printf("\tjsr %s\t\t;Call to ATN\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;
}


int TRAITEMENT_vCOS(nodeType * Node)
{
 /* Evaluation de l'argument de COS */
 eval(Node->op.args[0], cACC1);

 /* Appel de la fonction COS */
 printf("\tjsr %s\t\t;Call to COS\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;}


int TRAITEMENT_vSIN(nodeType * Node)
{
  /* Evaluation de l'argument de SIN */
 eval(Node->op.args[0], cACC1);

 /* Appel de la fonction SIN */
 printf("\tjsr %s\t\t;Call to SIN\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;
}


int TRAITEMENT_vTAN(nodeType * Node)
{
 /* Evaluation de l'argument de TAN */
 eval(Node->op.args[0], cACC1);

 /* Appel de la fonction TAN */
 printf("\tjsr %s\t\t;Call to TAN\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;
}


int TRAITEMENT_vEXP(nodeType * Node)
{
 /* Evaluation de l'argument de EXP */
 eval(Node->op.args[0], cACC1);

 /* Appel de la fonction EXP */
 printf("\tjsr %s\t\t;Call to EXP\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;}


int TRAITEMENT_vLET(nodeType * Node)
{
 printf("comp_mathc.c: TRAITEMENT_vLET()\n");

 /* Generation of second operand */ 
 eval(Node->op.args[1], 1);

 /* Assignation to first operand */
 eval(Node->op.args[0], 0);
 return 0;
}


int TRAITEMENT_vLN(nodeType * Node)
{
 /* Evaluation de l'argument de LN */
 eval(Node->op.args[0], cACC1);

 /* Appel de la fonction LN */
 printf("\tjsr %s\t\t;Call to LN\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;}


int TRAITEMENT_vLOG(nodeType * Node)
{
 /* Evaluation de l'argument de LOG */
 eval(Node->op.args[0], cACC1);

 /* Appel de la fonction LOG */
 printf("\tjsr %s\t\t;Call to LOG\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;}


int TRAITEMENT_vPI(nodeType * Node)
{
 printf("\tjsr %X", token[Node->op.oper].adr);
 return ;
}


int TRAITEMENT_vABS(nodeType * Node)
{
 printf("\tjsr %X", token[Node->op.oper].adr);
 return ;
}


int TRAITEMENT_vSGN(nodeType * Node)
{
 printf("\tjsr %X", token[Node->op.oper].adr);
 return ;
}


int TRAITEMENT_vRND(nodeType * Node)
{
 printf("\tjsr %X", token[Node->op.oper].adr);
 return ;
}


int TRAITEMENT_vSQR(nodeType * Node)
{
 /* Evaluation de l'argument de SQR */
 eval(Node->op.args[0], cACC1);

 /* Appel de la fonction SQR */
 printf("\tjsr %s\t\t;Call to SQR\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;}


int TRAITEMENT_vTRUE(nodeType * Node)
{
 printf("\tlda 0xFF\n");
 return ;
}


int TRAITEMENT_vFALSE(nodeType * Node)
{
 printf("\tlda 0x00\n");
 return ;
}


int TRAITEMENT_vAND(nodeType * Node)
{
 return ;
}


int TRAITEMENT_vOR(nodeType * Node)
{
 return ;
}


int TRAITEMENT_vNOT(nodeType * Node)
{
 return ;
}


int TRAITEMENT_vINT(nodeType * Node)
{
 /* Evaluation de l'argument de INT */
 eval(Node->op.args[0], cACC1);

 /* Appel de la fonction INT */
 printf("\tjsr %s\t\t;Call to INT\n", Int2StrHexa(token[Node->op.oper].adr));
 return ;
}


int TRAITEMENT_vDEF(nodeType * Node)
{
 return ;
}

int TRAITEMENT_vUSR(nodeType * Node)
{
 return ;
}

int TRAITEMENT_vEQ(nodeType * Node)
{ 
 /* printf("comp_math.c: TRAITEMENT_vEQ(): Node->op.type=%d\n", Node->op.type); */

 /* Membre de droite */
 eval(Node->op.args[1], cACC1);

 /* Membre de gauche */
 eval(Node->op.args[0], cACC2);

 /* Operateur a appliquer */
 printf("\tcomparaison\n");

 return ;
}

int IsEnsInt(i) { return (i < 32768) && (i > -32768); }

int TRAITEMENT_vPLUS(nodeType * Node)
{

 /* Membre de droite */
 eval(Node->op.args[1], cACC1);

 /* Membre de gauche */
 eval(Node->op.args[0], cACC2);
 
 /* Application de l'operateur */
 printf("\tjsr ADD\n");
 
 return ;
}

