#include <stdlib.h>
#include "parse.h"
#include "conv.h"
#include "ex1.h"
#include "macro.h"
#include "eval.h"

extern struct keyword token[MAX_TOKEN];

void eval(nodeType * Node, int UseAccu)
{
 int i = 0;
 
 printf("\t*** EVALUATION ***\n");
 
  if (Node == NULL) { printf("eval.c: eval() Node==NULL\n"); return; }
    
 /* printf("eval.c: eval() Node->op.type=%d\n", Node->op.type); */
 
 switch (Node->op.type) {
 	
  case tfConst : printf("eval.c: eval() : tfConst non fait\n"); break;
                 
  case tfVar   : printf("eval.c: eval() : tfVar non fait\n"); break;
                 
  case tiConst : 
                 i = Node->con.u.iValue;
                 if (i > 65535) { printf("eval.c: eval_str() : Constante integer too large\n"); exit(1); }                  
                 printf("\tlda %d\n", (char) (i >> 8));
                 printf("\tsta v0ACC1\n");
                 printf("\tlda %d\n", (char) (i & 0xFF));
                 printf("\tsta v0ACC1+1\n");
                 printf("\tlda #$0\n");
                 printf("\tsta v0ACC1+2\n");
                 printf("\tsta v0ACC1+3\n");
                 printf("\tsta v0ACC1+4\n");
                 printf("\tsta v0ACC1+5\n");                  
                 break;
                 
  case tiVar   : printf("eval.c: eval() : tiVar non fait\n"); break;

  case tsConst : eval_str(Node); break;                                
                 
  case tsVar   : eval_str(Node); break;                                
                                    
  default :      token[Node->op.oper].fct(Node); break;
 }
 
 return ;
}

void eval_str(nodeType * Node)
{
 printf("\t*** EVALUATION STRING ***\n");
 
 if (Node == NULL) { printf("eval.c: eval_str() Node==NULL\n"); return; }
    
 /* printf("eval.c: eval_str() Node->op.type=%d\n", Node->op.type); */
 
 switch (Node->op.type) {
  case  tsConst : cStr2Strx(/* iNumStrCst*/ 0, 1); break;
                  
  case  tsVar   : 
                  printf("\tlda %s\n" , AdrVarStr2StrHexa(Node->var.sValue, 0));
                  printf("\tsta %s\n" , Adr2StrHexa(v0STRING1 + 0));
                  printf("\tlda %s\n" , AdrVarStr2StrHexa(Node->var.sValue, 1));
                  printf("\tsta %s\n" , Adr2StrHexa(v0STRING1 + 1));                  
                  break;
                  
  default :       token[Node->op.oper].fct(Node); break;
 }

 return ;
}
